<template>
  <VDraggableResizable
    :resizable="false"
    drag-handle=".drag"
    draggable
  >
    <VLayout>
      <VFlex>
        <VCard class="myCard">
          <VToolbar dense class="drag" color="primary">
            <VToolbarTitle class="white--text toolbar-title"
              >Dessine moi un arc</VToolbarTitle
            >
            <VBtn class="btn-close" icon dark @click="$emit('close')">
              <VIcon>close</VIcon>
            </VBtn>
          </VToolbar>
          <VFlex>
            <VBtn dark color="info" @click="showMobilite"
              >Click to open map</VBtn
            >
          </VFlex>
        </VCard>
      </VFlex>
    </VLayout>
  </VDraggableResizable>
</template>

<script>
import Arcs from '../Helper/draw_arcs';
import mobility_info from '../../data/csv/Deplacement2.csv';
import centroides_info from '../../data/geojson/centroides';
import VueDraggableResizable from 'vue-draggable-resizable';

export default {
  components: {
    VDraggableResizable: VueDraggableResizable
  },
  props: {
    app: { required: true, type: Object }
  },
  methods: {
    showMobilite() {
      const nmap = this.app.getNativeMap();
      Arcs.DrawArcs(mobility_info, centroides_info, nmap);
    }
  }
};
</script>
